%define buildgtkhtml 1
%define buildgnomeprint 1
%define pygtk 2.4.0
%define gnomepython 2.10.0
%define oname gnome-python

Summary: GNOME extra bindings for Python
Name: gnome-python-extras
Version: 2.10.2
Release: 1mdk
Source: ftp://ftp.gnome.org/pub/GNOME/sources/%name/%name-%{version}.tar.bz2
Patch: gnome-python-extras-2.10.2-firefox.patch.bz2
Patch1: gnome-python-extras-2.10.2-gcc4.patch.bz2
URL: ftp://ftp.gnome.org/pub/GNOME/sources/gnome-python/
License: LGPL
Group: Development/GNOME and GTK+
BuildRoot: %{_tmppath}/%name-root
BuildRequires: pygtk2.0-devel >= %pygtk
BuildRequires: gnome-python >= %gnomepython
BuildRequires: python-devel >= 2.2
BuildRequires: libgnomeui2-devel >= 2.0.0
BuildRequires: gtksourceview-devel >= 1.1.0
BuildRequires: libpanel-applet-devel >= 2.0.0 
Requires: gnome-python >= %gnomepython

%if %{buildgtkhtml}
BuildRequires: libgtkhtml2-devel >= 1.99.9
%endif


%description
The gnome-python-extras package contains the additional Python
bindings for GNOME.

%package -n %oname-applet
Version: %{version}
Summary: Python bindings for GNOME Panel applets
Group: Development/GNOME and GTK+
Requires: %name = %version

%description -n %oname-applet
This module contains a wrapper that allows GNOME Panel applets to be
written in Python.

%package -n %oname-gdl
Version: %{version}
Summary: Python bindings for Gnome Devtool Libraries
Group: Development/GNOME and GTK+
Requires: %name = %version
BuildRequires: libgdl-devel

%description -n %oname-gdl
This module contains a wrapper that allows programs written in Python
to use Gnome Devtool Libraries.

%package -n %oname-gtkspell
Version: %{version}
Summary: Python bindings for gtkspell
Group: Development/GNOME and GTK+
Requires: %name = %version
BuildRequires: gtkspell-devel

%description -n %oname-gtkspell
This module contains a wrapper that allows gnome python apps to use
the gtkspell library.

%package -n %oname-gtkmozembed
Version: %{version}
Summary: Python bindings for mozilla
Group: Development/GNOME and GTK+
Requires: %name = %version
BuildRequires: mozilla-firefox-devel

%description -n %oname-gtkmozembed
This module contains a wrapper that allows gnome python apps to embed
the mozilla browser.

%package -n %oname-gtkhtml2
Version: %{version}
Summary: Python bindings for interacting with gtkhtml2
Group: Development/GNOME and GTK+

%description -n %oname-gtkhtml2
This module contains a wrapper that allows the use of gtkhtml2 via
Python

%package -n %oname-gtksourceview
Version: %{version}
Summary: Python bindings for Gtksourceview
Group: Development/GNOME and GTK+
Requires: %name = %version

%description -n %oname-gtksourceview
This module contains a wrapper that makes Gtksourceview available from Python.

%package -n %oname-gtop
Version: %{version}
Summary: Python bindings for Gtop
Group: Development/GNOME and GTK+
Requires: %name = %version
BuildRequires: libgtop2.0-devel >= 2.9

%description -n %oname-gtop
This module contains a wrapper that makes Gtop available from Python.

%package -n %oname-nautilus-burn
Version: %{version}
Summary: Python bindings for Nautilus-burn
Group: Development/GNOME and GTK+
Requires: %name = %version
BuildRequires: libnautilus-burn-devel >= 2.9

%description -n %oname-nautilus-burn
This module contains a wrapper that makes Nautilus-burn available from Python.

%package -n %oname-totem
Version: %{version}
Summary: Python bindings for the Totem playlist parser
Group: Development/GNOME and GTK+
Requires: %name = %version
BuildRequires: libtotem-plparser-devel

%description -n %oname-totem
This module contains a wrapper that makes the Totem playlist parser
available from Python.


%if %{buildgnomeprint}
%package -n %oname-gnomeprint
Summary: Python bindings for interacting with gnomeprint and gnomeprintui
Group: Development/GNOME and GTK+
BuildRequires: libgnomeprintui-devel >= 2.8.0

%description -n %oname-gnomeprint
This module contains a wrapper that allows the use of gnomeprint and
gnomeprintui via python.
%endif

%prep
%setup -q
%patch -p1 -b .firefox
%patch1 -p1 -b .gcc4
autoconf

%build
./configure --prefix=%_prefix --libdir=%_libdir

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
find $RPM_BUILD_ROOT -name '*.la' -exec rm {} \;

%clean
rm -rf %buildroot

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog
%defattr(755,root,root,755)
%dir %{_datadir}/pygtk/2.0/defs
%{_datadir}/pygtk/2.0/defs/*.defs
%_libdir/pkgconfig/%name-2.0.pc
%_libdir/python%pyver/site-packages/gtk-2.0/egg/
%{_libdir}/python%pyver/site-packages/gtk-2.0/wnck.so
%doc examples/egg/

%files -n %oname-applet
%defattr(755,root,root,755)
%{_libdir}/python%pyver/site-packages/gtk-2.0/gnome/applet.py*
%{_libdir}/python%pyver/site-packages/gtk-2.0/gnomeapplet.so
%doc examples/applet/

%files -n %oname-gdl
%defattr(755,root,root,755)
%{_libdir}/python%pyver/site-packages/gtk-2.0/gdl.so
%doc examples/gdl

%files -n %oname-gtkspell
%defattr(755,root,root,755)
%{_libdir}/python%pyver/site-packages/gtk-2.0/gtkspell.so
%doc examples/gtkspell

%files -n %oname-gtkmozembed
%defattr(755,root,root,755)
%{_libdir}/python%pyver/site-packages/gtk-2.0/gtkmozembed.so


%if %{buildgtkhtml}
%files -n %oname-gtkhtml2
%defattr(755,root,root,755)
%{_libdir}/python%pyver/site-packages/gtk-2.0/gtkhtml2.so
%defattr(644,root,root,755)
%doc examples/gtkhtml2
%endif

%files -n %oname-gtksourceview
%defattr(755,root,root,755)
%{_libdir}/python%pyver/site-packages/gtk-2.0/gtksourceview.so
%doc examples/gtksourceview

%files -n %oname-gtop
%defattr(755,root,root,755)
%{_libdir}/python%pyver/site-packages/gtk-2.0/gtop.so

%files -n %oname-nautilus-burn
%defattr(755,root,root,755)
%{_libdir}/python%pyver/site-packages/gtk-2.0/nautilusburn.so
%doc examples/nautilusburn

%files -n %oname-totem
%defattr(755,root,root,755)
%{_libdir}/python%pyver/site-packages/gtk-2.0/totem/

%if %{buildgnomeprint}
%files -n %oname-gnomeprint
%defattr(755,root,root,755)
%{_libdir}/python%pyver/site-packages/gtk-2.0/gnomeprint/
%doc examples/gnomeprint/
%endif

%changelog
* Sun May 29 2005 Gtz Waschk <waschk@mandriva.org> 2.10.2-1mdk
- rediff patches
- New release 2.10.2

* Tue May 17 2005 Gtz Waschk <waschk@mandriva.org> 2.10.1-2mdk
- add gdl bindings
- patch for gcc4

* Sat Apr 23 2005 Gtz Waschk <waschk@mandriva.org> 2.10.1-1mdk
- initial mdk version

* Mon Apr 11 2005 Gtz Waschk <waschk@linux-mandrake.com> 2.10.1-0.1gpw
- patch configure, regeneration didn't work
- fix build
- New release 2.10.1

* Tue Mar  8 2005 Gtz Waschk <waschk@linux-mandrake.com> 2.10.0-0.1gpw
- bump deps
- fix build for firefox
- New release 2.10.0

* Wed Feb 16 2005 Gtz Waschk <waschk@linux-mandrake.com> 2.9.4-0.1gpw
- New release 2.9.4

* Wed Jan 26 2005 Gtz Waschk <waschk@linux-mandrake.com> 2.9.3-0.2gpw
- add bindings for gtop, nautilus-burn and totem-plparser
- New release 2.9.3

* Sat Jan  8 2005 Gtz Waschk <waschk@linux-mandrake.com> 2.9.2-0.2gpw
- rebuild for new howl

* Mon Jan  3 2005 Gtz Waschk <waschk@linux-mandrake.com> 2.9.2-0.1gpw
- add mozembed and gtkspell modules
- New release 2.9.2

* Mon Dec  6 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.9.1-0.2gpw
- rebuild for new python

* Tue Nov 30 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.9.1-0.1gpw
- update file list

* Tue Nov 30 2004 Goetz Waschk <waschk@linux-mandrake.com> 2.9.1-1mdk
- New release 2.9.1

* Mon Nov 22 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.9.0-0.1gpw
- initial package
